## org.eclipse.datatools.sqltools.core.dbitem
Interface ISPUDF

public interface ISPUDF

Represents a SP (Stored procedure) or UDF.

Author:
  Yang Liu

Method Summary
`java.util.Map` `getParameterDefalutValues(java.lang.String sql)` Gets parameter default values of this SP or UDF.
`ParameterDescriptor[]` `getParameterDescriptor()` Gets parameter descriptor of this SP or UDF.

Method Detail

### getParameterDescriptor

    public ParameterDescriptor[] getParameterDescriptor()
                                                 throws java.sql.SQLException

  Gets parameter descriptor of this SP or UDF.

  Throws:
    `java.sql.SQLException`

### getParameterDefalutValues

    public java.util.Map getParameterDefalutValues(java.lang.String sql)
                                            throws java.sql.SQLException

  Gets parameter default values of this SP or UDF.

  Throws:
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.